---
title: "getCloudCacheBackupList"
slug: "database-vcache-getcloudcachebackuplist"
updated: 2026-09-17T10:05:51Z
published: 2026-09-17T10:05:51Z
canonical: "api.ncloud-docs.com/database-vcache-getcloudcachebackuplist"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt
> Use this file to discover all available pages before exploring further.
# getCloudCacheBackupList
Available in VPC
Get the Cloud DB for Cache system backup list.
Note
Cloud DB for Cache API offers two versions based on the supported DBMS range.
- getCloudCacheBackupList API: Support for Valkey and Redis DBMS
- getCloudRedisBackupList API: Support for Redis DBMS
## getCloudCacheBackupList API
This section describes the request and response formats for the getCloudCacheBackupList API.
### Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
| --- | --- |
| GET \| POST | /getCloudCacheBackupList |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
#### Request headers
For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94).
#### Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `regionCode` | String | Optional | Region code of the Cloud DB for Cache system backup list to query - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). |
| `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` |
#### Request example
The request example is as follows:
```
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/getCloudCacheBackupList
?regionCode=KR'
--header 'x-ncp-apigw-timestamp: {Timestamp}'
--header 'x-ncp-iam-access-key: {Access Key}'
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
```
### Response
This section describes the response format.
#### Response body
See [CloudCacheBackupList](/docs/en/common-vapidatatype-cloudcachebackuplist) for the response body.
#### Response status codes
For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C).
#### Response example
The response example is as follows:
- If `responseFormatType=xml` (default)
```
94edea29-9c1e-44f5-9e9c-120f22688ca1
0
success
1
****890
test-****
1
00:30
302
2021-05-25T00:00:00+0900
SIMPLE
CLOUD CACHE(VPC) Cluster Backup Type
1
```
## getCloudRedisBackupList API
This section describes the request and response formats for the getCloudRedisBackupList API.
### Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
| --- | --- |
| GET \| POST | /vredis/v2/getCloudRedisBackupList |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
#### Request headers
For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94).
#### Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `regionCode` | String | Optional | Region code of the Cloud DB for Cache system backup list to query - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). |
| `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` |
#### Request example
The request example is as follows:
```
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/getCloudRedisBackupList
?regionCode=KR' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
```
### Response
This section describes the response format.
#### Response body
See [CloudRedisBackupList](/docs/en/common-vapidatatype-cloudredisbackuplist) for the response body.
#### Response status codes
For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C).
#### Response example
The response example is as follows:
- If `responseFormatType=json`
```
{
"getCloudRedisBackupListResponse": {
"totalRows": 1,
"cloudRedisBackupList": [
{
"cloudRedisInstanceNo": "****511",
"cloudRedisServiceName": "test-****",
"backupFileRetentionPeriod": 7,
"backupTime": "00:15",
"backupSize": 525,
"lastBackupDate": "2024-07-02T00:00:00+0900",
"backupType": {
"code": "CLUSTER",
"codeName": "CLOUD REDIS(VPC) Cluster Backup Type"
},
"shardCount": 3
}
],
"requestId": "ac8cf68a-****-****-****-8788236f4c26",
"returnCode": "0",
"returnMessage": "success"
}
}
```
- If `responseFormatType=xml` (default)
```
ac8cf68a-****-****-****-8788236f4c26
0
success
1
****511
test-****
7
00:15
525
CLUSTER
CLOUD REDIS(VPC) Cluster Backup Type
3
```